Spigot Community Server (1.15)

Discussion in 'News and Announcements' started by md_5, Dec 1, 2019.

Thread Status:
Not open for further replies.
  1. Are you fucking serious? Do you understand that hypixel is all custom server software which is being heavily optimized and modified for hypixel needs? Same for most of the big boys in the game such as cubecraft.

    For a spigot build we wait md_5. He's currently sleeping probably as in australia is almost 6AM.
     
  2. MiniDigger

    Supporter

    am proud of you
    [​IMG]
     
    • Agree Agree x 4
    • Winner Winner x 3
    • Funny Funny x 1
  3. I've understood perfectly the joke, I am trying to explain that to dummies.
     
    • Optimistic Optimistic x 1
  4. MiniDigger

    Supporter

    yeeeeeeaaaaaaaaah, clearly thats what you did there.
     
  5. No jokes on my Christian Minecraft forum :eek::ROFLMAO:
     
  6. holy shit, ya'll getting really freaky deaky over a stupid freaking update.
    Calm down already.

    This thread is literally LITERALLY about the Spigot Community Server not anything else, yet you guys are going ape shit over when will it release? When is md_5 going to release it? Why does x person already have it?

    Calm down!!!
     
    • Agree Agree x 4
  7. "really freaky deaky" :D
     
  8. I mean... it seriously best describes this recent convo. We went from discussing java versions (which md_5 halted.... then it continued), to fighting about when Spigot/CB 1.15 will come out (as per history it'll probably come out tomorrow), to people fighting over/insulting others IQs... none of which has to do with this thread, I think "really freaky deaky" is the only way to describe it :ROFLMAO::LOL:
     
    • Agree Agree x 3
  9. It's the same every time we get a new update.
     
    • Agree Agree x 2
  10. My players where asking for the update before it was released. :ROFLMAO:
     
    • Agree Agree x 1
    • Funny Funny x 1
  11. I'm still running 1.12.2, but thanks to Myles' Magic, people can connect with clients from 1.7.10 to 1.15.
     
    • Agree Agree x 1
  12. Hey, for the run.bat, what do I put for the gigabytes? what do I put in?
     
  13. md_5

    Administrator Developer

    How much ram you want to use
     
  14. Works perfectly fine for me. Ensure JDK 13 is in your environmental variables path. Additionally run java --version from command prompt to make sure it is installed.
     
  15. 3 giga bytes of ram.
     
  16. upload_2019-12-13_7-10-46.png

    i am using "C:\Program Files\Java\jdk-13.0.1\bin\java" -jar BuildTools.jar --rev 1.15 in my batch file because
    because java -jar BuildTools.jar --rev 1.15 did not work (the windows closes automaticly)

    Code (Text):
    *** Could not find PortableGit installation, downloading. ***
    Starting download of https://static.spigotmc.org/git/PortableGit-2.15.0-64-bit.7z.exe
    Downloaded file: PortableGit-2.15.0-64-bit\PortableGit-2.15.0-64-bit.7z.exe with hash: ddfb4242c78eec03c533e733d0192e0e3d8ba10ad9af39e46ab305805e4ebbc3
    Extracting downloaded git install
    *** Using downloaded git PortableGit-2.15.0-64-bit\PortableGit ***
    *** Please note that this is a beta feature, so if it does not work please also try a manual install of git from https://git-for-windows.github.io/ ***
    git version 2.24.1.windows.2
    BuildTools
    [email protected]
    Attempting to build version: '1.15' use --rev <version> to override
    Found version
    {
        "name": "2513",
        "description": "Jenkins build 2513",
        "refs": {
            "BuildData": "f845c6ee8a6d41562c71dc218c7d5b7b9eeb03d6",
            "Bukkit": "333b9f02897384708573682fa35605d71a78a4db",
            "CraftBukkit": "16dc5758ae85ea956e97af0e8be8d3497d8c0bde",
            "Spigot": "f39a89ef2d9083acae5a1e09d5991409213b0a89"
        },
        "toolsVersion": 101,
        "javaVersions": [52, 57]
    }

    Pulling updates for C:\Users\<cuted>\Spigot\BuildData\.git
    Successfully fetched updates!
    Checked out: f845c6ee8a6d41562c71dc218c7d5b7b9eeb03d6
    Pulling updates for C:\Users\<cuted>\Spigot\Bukkit\.git
    Successfully fetched updates!
    Checked out: 333b9f02897384708573682fa35605d71a78a4db
    Pulling updates for C:\Users\<cuted>\Spigot\CraftBukkit\.git
    Successfully fetched updates!
    Checked out: 16dc5758ae85ea956e97af0e8be8d3497d8c0bde
    Pulling updates for C:\Users\<cuted>\Spigot\Spigot\.git
    Successfully fetched updates!
    Checked out: f39a89ef2d9083acae5a1e09d5991409213b0a89
    Attempting to build Minecraft with details: VersionInfo(minecraftVersion=1.15, accessTransforms=bukkit-1.15.at, classMappings=bukkit-1.15-cl.csrg, memberMappings=bukkit-1.15-members.csrg, packageMappings=package.srg, minecraftHash=9320057153cdc411166ed78759a78a92, classMapCommand=java -jar BuildData/bin/SpecialSource-2.jar map --only . --only net/minecraft --auto-lvt BASIC --auto-member SYNTHETIC -e BuildData/mappings/bukkit-1.15.exclude -i {0} -m {1} -o {2}, memberMapCommand=java -jar BuildData/bin/SpecialSource-2.jar map --only . --only net/minecraft --auto-member LOGGER --auto-member TOKENS -i {0} -m {1} -o {2}, finalMapCommand=java -jar BuildData/bin/SpecialSource.jar --only . --only net/minecraft -i {0} --access-transformer {1} -m {2} -o {3}, decompileCommand=java -jar BuildData/bin/fernflower.jar -dgs=1 -hdc=0 -asc=1 -udv=0 -rsy=1 -aoa=1 {0} {1}, serverUrl=https://launcher.mojang.com/v1/objects/e9f105b3c5c7e85c7b445249a93362a22f62442d/server.jar, toolsVersion=101)
    Found good Minecraft hash (9320057153cdc411166ed78759a78a92)
    Final mapped jar: work\mapped.e341bf68.jar does not exist, creating (please wait)!
    Der Befehl "java" ist entweder falsch geschrieben oder
    konnte nicht gefunden werden.
    Exception in thread "main" java.lang.RuntimeException: Error running command, return status !=0: [cmd.exe, /C, java, -jar, BuildData/bin/SpecialSource-2.jar, map, --only, ., --only, net/minecraft, --auto-lvt, BASIC, --auto-member, SYNTHETIC, -e, BuildData/mappings/bukkit-1.15.exclude, -i, work\minecraft_server.1.15.jar, -m, BuildData/mappings/bukkit-1.15-cl.csrg, -o, work\mapped.e341bf68.jar-cl]
        at org.spigotmc.builder.Builder.runProcess0(Builder.java:771)
        at org.spigotmc.builder.Builder.runProcess(Builder.java:706)
        at org.spigotmc.builder.Builder.main(Builder.java:402)
        at org.spigotmc.builder.Bootstrap.main(Bootstrap.java:40)
    after this the windows closes.
    When i install JRE 8 from the java site then all works fine and the server.jar gets compiled.
    but with just JDK 13.0.1 i am not able to do this.. i renember with JDK 13.0.0 it was working fine :3

    maybe interesting. when i have installed the JRE8 as "secound"
    and using "C:\Program Files\Java\jdk-13.0.1\bin\java" -jar BuildTools.jar --rev 1.15
    then the server.jar also gets compiled without any error..
    looks like there is some "search" for rests of older versions in buildtools?
     
    #136 CloudeLecaw, Dec 13, 2019
    Last edited: Dec 13, 2019
  17. Install Java 13, then run "java --version" in command prompt and it will tell you the version you have installed. If its wrong then add the correct version to your "path" in environmental variables.
     
  18. upload_2019-12-13_7-52-14.png

    so...
    "C:\Program Files\Java\jdk-13.0.1\bin\java" -jar BuildTools.jar --rev 1.15
    well only using "java --version" does not work.. i dont know why :3

    Well buildtools still tells me like in my erorr log before that "java was not found - after it allredy started with a few steps:
    Final mapped jar: work\mapped.e341bf68.jar does not exist, creating (please wait)!
    here it tells me "java not found"

    Code (Text):
    Successfully fetched updates!
    Checked out: f39a89ef2d9083acae5a1e09d5991409213b0a89
    Attempting to build Minecraft with details: VersionInfo(minecraftVersion=1.15, accessTransforms=bukkit-1.15.at, classMappings=bukkit-1.15-cl.csrg, memberMappings=bukkit-1.15-members.csrg, packageMappings=package.srg, minecraftHash=9320057153cdc411166ed78759a78a92, classMapCommand=java -jar BuildData/bin/SpecialSource-2.jar map --only . --only net/minecraft --auto-lvt BASIC --auto-member SYNTHETIC -e BuildData/mappings/bukkit-1.15.exclude -i {0} -m {1} -o {2}, memberMapCommand=java -jar BuildData/bin/SpecialSource-2.jar map --only . --only net/minecraft --auto-member LOGGER --auto-member TOKENS -i {0} -m {1} -o {2}, finalMapCommand=java -jar BuildData/bin/SpecialSource.jar --only . --only net/minecraft -i {0} --access-transformer {1} -m {2} -o {3}, decompileCommand=java -jar BuildData/bin/fernflower.jar -dgs=1 -hdc=0 -asc=1 -udv=0 -rsy=1 -aoa=1 {0} {1}, serverUrl=https://launcher.mojang.com/v1/objects/e9f105b3c5c7e85c7b445249a93362a22f62442d/server.jar, toolsVersion=101)
    Found good Minecraft hash (9320057153cdc411166ed78759a78a92)
    Final mapped jar: work\mapped.e341bf68.jar does not exist, creating (please wait)!
    Der Befehl "java" ist entweder falsch geschrieben oder
    konnte nicht gefunden werden.
    Exception in thread "main" java.lang.RuntimeException: Error running command, return status !=0: [cmd.exe, /C, java, -jar, BuildData/bin/SpecialSource-2.jar, map, --only, ., --only, net/minecraft, --auto-lvt, BASIC, --auto-member, SYNTHETIC, -e, BuildData/mappings/bukkit-1.15.exclude, -i, work\minecraft_server.1.15.jar, -m, BuildData/mappings/bukkit-1.15-cl.csrg, -o, work\mapped.e341bf68.jar-cl]
        at org.spigotmc.builder.Builder.runProcess0(Builder.java:771)
        at org.spigotmc.builder.Builder.runProcess(Builder.java:706)
        at org.spigotmc.builder.Builder.main(Builder.java:402)
        at org.spigotmc.builder.Bootstrap.main(Bootstrap.java:40)
    Well i found a working solution now for the moment.
    1. i installed JDK 13.0.1
    2. i installed git bash
    3. i create a file with "C:\Program Files\Java\jdk-13.0.1\bin\java" -jar BuildTools.jar --rev 1.15
    4. i save it as buildtools.sh or buildtools.bat

    So what this means for me?
    Well just that the portable Gitbash that BuildTools try to use does not work with JDK 13.0.1 (but with Java 8)
    The Git is needed to be able to execute .sh-files
    The idea of the Portable Git that Buildtools tries to use was, that you dont need to extra install Git.
    hm so i just can wait so the portable Git inside may get an update after a time :3
    i will try a test for replaceing BuildTools portable Gitbash version with the never portable 2.24


    Edit: i solved the problem now the following way:
    1. i downloaded PortableGit-2.24.1.2 x64
    2. in started the batchfile once (Buildtools downloads the portable git - it's needed for the file structure - names and subfolders)
    3. i took the files from the portable git 2.24 and overwrote the files from the portableGit-2.15.0 that is taken automaticly from buildtools (it has an extra PortableGit folder inside the portableGit-2.15.0 folder...)
    4. i seted up the path where JDK 13.0.1 is installed in the javaargument because it seems like only using "java" does not work with the JDK 13.0.1 (im using lattest Windows 10 1909 x64 + JDK 13.0.1 from Oracle site)
    5. done - i can run the batch and the server.jar gets compiled.

    So what this means?
    Its just the proof aggain that the internal BuildTools may needs a little update and a newer portable git (like 2.24.0 x64 that is more compatible with the newer JDK 13.0.1) instead of the outdated portable git 2.15.0 (that seems not to be very compatible with JDK 13.0.1) if you dont have Git installed on your computer :3


    Thanks all ppl that helped me the long way to get this work aggain <3
    Special Thanks to @imaBASKET and @MiniDigger for their ideas and hints :)

    Edit2: May Also some steps of the compiling should be "checked"
    in some cases Buildtools just asked for "Java" not for the special desination if setup. currently these steps cant be done with JDL 13.0.1 because only "java" is not accepted. but if you allready have the files so that Buildtools "skipps?" these parts then it works.
    Example: One Step is here:
    Code (Text):
    Final mapped jar: work\mapped.e341bf68.jar does not exist, creating (please wait)!
    Der Befehl "java" ist entweder falsch geschrieben oder
    konnte nicht gefunden werden.
    Exception in thread "main" java.lang.RuntimeException: Error running command, return status !=0: [cmd.exe, /C, java, -jar, BuildData/bin/SpecialSource-2.jar, map, --only, ., --only, net/minecraft, --auto-lvt, BASIC, --auto-member, SYNTHETIC, -e, BuildData/mappings/bukkit-1.15.exclude, -i, work\minecraft_server.1.15.jar, -m, BuildData/mappings/bukkit-1.15-cl.csrg, -o, work\mapped.e341bf68.jar-cl]
        at org.spigotmc.builder.Builder.runProcess0(Builder.java:771)
        at org.spigotmc.builder.Builder.runProcess(Builder.java:706)
        at org.spigotmc.builder.Builder.main(Builder.java:402)
        at org.spigotmc.builder.Bootstrap.main(Bootstrap.java:40)
    Buildtools just tryed to execute "java" even a given path was "C:\Program Files\Java\jdk-13.0.1\bin\ was stet up.
    With Java 8 this would not happen, because if you enter simply java in your console, then the sytem does know where the file is.
    The text sais:
    Code (Text):
    The command "java" is wrong or cant be found
    but the setup command was not "java" - It is "C:\Program Files\Java\jdk-13.0.1\bin\java"
     
    #138 CloudeLecaw, Dec 13, 2019
    Last edited: Dec 13, 2019
  19. You should add the java bin folder into your environmental variables as "JAVA_HOME" and also add it to the Path variable in order to have the command java
     
  20. Once again. I feel that the last few posts do NOT belong in this thread.

    They are NOT about the Communnity Server !

    They are about Bungeecord Java Version Compatibility
     
    • Agree Agree x 1
Thread Status:
Not open for further replies.